%define name smeserver-shellinabox
%define version 0.0.8
%define release 3
Summary: shellinabox is an ajax webbase terminal
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Distribution: SME Server
License: GNU GPL version 2
Group: SMEserver/addon
Source: smeserver-shellinabox-%{version}.tar.gz

Patch0: smeserver-shellinabox-0.0.8-locale-2023-07-13.patch
Patch1: smeserver-shellinabox-0.0.8-fix-services.patch

BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}-buildroot
BuildRequires: e-smith-devtools
Requires: e-smith-release >= 10.0
Requires: shellinabox >= 2.14
AutoReqProv: no

%description
 shellinabox is an ajax web based terminal 

%changelog
* Mon Jul 24 2023 John Crisp <jcrisp@safeandsoundit.co.uk> 0.0.8-3.sme
- remove service in bootstrap-console-save [SME: 12376]
- comment out unrequired shellinabox-action script

* Thu Jul 13 2023 John Crisp <jcrisp@safeandsoundit.co.uk> 0.0.8-2.sme
- add locale 2023-07-13 patch

* Tue Jul 11 2023 John Crisp <jcrisp@safeandsoundit.co.uk> 0.0.8-1.sme
- add systemd control and smeserver-shellinabox update [SME: 12376]

* Fri Nov 11 2022 Jean-Philippe Pialasse <tests@pialasse.com> 0.0.7-3.sme
- apply locale 2022-11-11 patch

* Sun Jan 10 2016 stephane de labrusse <stephdl@de-labrusse.fr> 0.0.7-1.sme
- Restrict the deamon to localhost and disable ssl

* Tue Jun 25 2013  stephane de labrusse <stephdl@de-labrusse.fr> 0.0.6-1.sme
- initial release

%prep
%setup
%patch0 -p1
%patch1 -p1

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT \
     > %{name}-%{version}-filelist

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%pre

%post



